--Copyright 1986-2022 Xilinx, Inc. All Rights Reserved.
--Copyright 2022-2023 Advanced Micro Devices, Inc. All Rights Reserved.
----------------------------------------------------------------------------------
--Tool Version: Vivado v.2023.2.1 (win64) Build 4081461 Thu Dec 14 12:24:51 MST 2023
--Date        : Mon Mar 18 11:03:04 2024
--Host        : ixpc67 running 64-bit major release  (build 9200)
--Command     : generate_target top_wrapper.bd
--Design      : top_wrapper
--Purpose     : IP block netlist
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity top_wrapper is
  port (
    BBOX_tri_io : inout STD_LOGIC_VECTOR ( 51 downto 0 );
    DDR_addr : inout STD_LOGIC_VECTOR ( 14 downto 0 );
    DDR_ba : inout STD_LOGIC_VECTOR ( 2 downto 0 );
    DDR_cas_n : inout STD_LOGIC;
    DDR_ck_n : inout STD_LOGIC;
    DDR_ck_p : inout STD_LOGIC;
    DDR_cke : inout STD_LOGIC;
    DDR_cs_n : inout STD_LOGIC;
    DDR_dm : inout STD_LOGIC_VECTOR ( 3 downto 0 );
    DDR_dq : inout STD_LOGIC_VECTOR ( 31 downto 0 );
    DDR_dqs_n : inout STD_LOGIC_VECTOR ( 3 downto 0 );
    DDR_dqs_p : inout STD_LOGIC_VECTOR ( 3 downto 0 );
    DDR_odt : inout STD_LOGIC;
    DDR_ras_n : inout STD_LOGIC;
    DDR_reset_n : inout STD_LOGIC;
    DDR_we_n : inout STD_LOGIC;
    FIXED_IO_ddr_vrn : inout STD_LOGIC;
    FIXED_IO_ddr_vrp : inout STD_LOGIC;
    FIXED_IO_mio : inout STD_LOGIC_VECTOR ( 53 downto 0 );
    FIXED_IO_ps_clk : inout STD_LOGIC;
    FIXED_IO_ps_porb : inout STD_LOGIC;
    FIXED_IO_ps_srstb : inout STD_LOGIC;
    USR_tri_io : inout STD_LOGIC_VECTOR ( 35 downto 0 );
    flt : in STD_LOGIC_VECTOR ( 15 downto 0 );
    gpi : in STD_LOGIC_VECTOR ( 15 downto 0 );
    gpo : out STD_LOGIC_VECTOR ( 15 downto 0 );
    private_in : in STD_LOGIC_VECTOR ( 30 downto 0 );
    private_out : out STD_LOGIC_VECTOR ( 35 downto 0 );
    pwm : out STD_LOGIC_VECTOR ( 31 downto 0 )
  );
end top_wrapper;

architecture STRUCTURE of top_wrapper is
  component top is
  port (
    FIXED_IO_mio : inout STD_LOGIC_VECTOR ( 53 downto 0 );
    FIXED_IO_ps_srstb : inout STD_LOGIC;
    FIXED_IO_ps_clk : inout STD_LOGIC;
    FIXED_IO_ps_porb : inout STD_LOGIC;
    FIXED_IO_ddr_vrn : inout STD_LOGIC;
    FIXED_IO_ddr_vrp : inout STD_LOGIC;
    DDR_dq : inout STD_LOGIC_VECTOR ( 31 downto 0 );
    DDR_dqs_p : inout STD_LOGIC_VECTOR ( 3 downto 0 );
    DDR_dqs_n : inout STD_LOGIC_VECTOR ( 3 downto 0 );
    DDR_addr : inout STD_LOGIC_VECTOR ( 14 downto 0 );
    DDR_ba : inout STD_LOGIC_VECTOR ( 2 downto 0 );
    DDR_ras_n : inout STD_LOGIC;
    DDR_cas_n : inout STD_LOGIC;
    DDR_we_n : inout STD_LOGIC;
    DDR_reset_n : inout STD_LOGIC;
    DDR_ck_p : inout STD_LOGIC;
    DDR_ck_n : inout STD_LOGIC;
    DDR_cke : inout STD_LOGIC;
    DDR_cs_n : inout STD_LOGIC;
    DDR_dm : inout STD_LOGIC_VECTOR ( 3 downto 0 );
    DDR_odt : inout STD_LOGIC;
    BBOX_tri_o : out STD_LOGIC_VECTOR ( 51 downto 0 );
    BBOX_tri_t : out STD_LOGIC_VECTOR ( 51 downto 0 );
    BBOX_tri_i : in STD_LOGIC_VECTOR ( 51 downto 0 );
    USR_tri_t : out STD_LOGIC_VECTOR ( 35 downto 0 );
    USR_tri_o : out STD_LOGIC_VECTOR ( 35 downto 0 );
    USR_tri_i : in STD_LOGIC_VECTOR ( 35 downto 0 );
    private_out : out STD_LOGIC_VECTOR ( 35 downto 0 );
    pwm : out STD_LOGIC_VECTOR ( 31 downto 0 );
    gpo : out STD_LOGIC_VECTOR ( 15 downto 0 );
    private_in : in STD_LOGIC_VECTOR ( 30 downto 0 );
    flt : in STD_LOGIC_VECTOR ( 15 downto 0 );
    gpi : in STD_LOGIC_VECTOR ( 15 downto 0 )
  );
  end component top;
  component IOBUF is
  port (
    I : in STD_LOGIC;
    O : out STD_LOGIC;
    T : in STD_LOGIC;
    IO : inout STD_LOGIC
  );
  end component IOBUF;
  signal BBOX_tri_i_0 : STD_LOGIC_VECTOR ( 0 to 0 );
  signal BBOX_tri_i_1 : STD_LOGIC_VECTOR ( 1 to 1 );
  signal BBOX_tri_i_10 : STD_LOGIC_VECTOR ( 10 to 10 );
  signal BBOX_tri_i_11 : STD_LOGIC_VECTOR ( 11 to 11 );
  signal BBOX_tri_i_12 : STD_LOGIC_VECTOR ( 12 to 12 );
  signal BBOX_tri_i_13 : STD_LOGIC_VECTOR ( 13 to 13 );
  signal BBOX_tri_i_14 : STD_LOGIC_VECTOR ( 14 to 14 );
  signal BBOX_tri_i_15 : STD_LOGIC_VECTOR ( 15 to 15 );
  signal BBOX_tri_i_16 : STD_LOGIC_VECTOR ( 16 to 16 );
  signal BBOX_tri_i_17 : STD_LOGIC_VECTOR ( 17 to 17 );
  signal BBOX_tri_i_18 : STD_LOGIC_VECTOR ( 18 to 18 );
  signal BBOX_tri_i_19 : STD_LOGIC_VECTOR ( 19 to 19 );
  signal BBOX_tri_i_2 : STD_LOGIC_VECTOR ( 2 to 2 );
  signal BBOX_tri_i_20 : STD_LOGIC_VECTOR ( 20 to 20 );
  signal BBOX_tri_i_21 : STD_LOGIC_VECTOR ( 21 to 21 );
  signal BBOX_tri_i_22 : STD_LOGIC_VECTOR ( 22 to 22 );
  signal BBOX_tri_i_23 : STD_LOGIC_VECTOR ( 23 to 23 );
  signal BBOX_tri_i_24 : STD_LOGIC_VECTOR ( 24 to 24 );
  signal BBOX_tri_i_25 : STD_LOGIC_VECTOR ( 25 to 25 );
  signal BBOX_tri_i_26 : STD_LOGIC_VECTOR ( 26 to 26 );
  signal BBOX_tri_i_27 : STD_LOGIC_VECTOR ( 27 to 27 );
  signal BBOX_tri_i_28 : STD_LOGIC_VECTOR ( 28 to 28 );
  signal BBOX_tri_i_29 : STD_LOGIC_VECTOR ( 29 to 29 );
  signal BBOX_tri_i_3 : STD_LOGIC_VECTOR ( 3 to 3 );
  signal BBOX_tri_i_30 : STD_LOGIC_VECTOR ( 30 to 30 );
  signal BBOX_tri_i_31 : STD_LOGIC_VECTOR ( 31 to 31 );
  signal BBOX_tri_i_32 : STD_LOGIC_VECTOR ( 32 to 32 );
  signal BBOX_tri_i_33 : STD_LOGIC_VECTOR ( 33 to 33 );
  signal BBOX_tri_i_34 : STD_LOGIC_VECTOR ( 34 to 34 );
  signal BBOX_tri_i_35 : STD_LOGIC_VECTOR ( 35 to 35 );
  signal BBOX_tri_i_36 : STD_LOGIC_VECTOR ( 36 to 36 );
  signal BBOX_tri_i_37 : STD_LOGIC_VECTOR ( 37 to 37 );
  signal BBOX_tri_i_38 : STD_LOGIC_VECTOR ( 38 to 38 );
  signal BBOX_tri_i_39 : STD_LOGIC_VECTOR ( 39 to 39 );
  signal BBOX_tri_i_4 : STD_LOGIC_VECTOR ( 4 to 4 );
  signal BBOX_tri_i_40 : STD_LOGIC_VECTOR ( 40 to 40 );
  signal BBOX_tri_i_41 : STD_LOGIC_VECTOR ( 41 to 41 );
  signal BBOX_tri_i_42 : STD_LOGIC_VECTOR ( 42 to 42 );
  signal BBOX_tri_i_43 : STD_LOGIC_VECTOR ( 43 to 43 );
  signal BBOX_tri_i_44 : STD_LOGIC_VECTOR ( 44 to 44 );
  signal BBOX_tri_i_45 : STD_LOGIC_VECTOR ( 45 to 45 );
  signal BBOX_tri_i_46 : STD_LOGIC_VECTOR ( 46 to 46 );
  signal BBOX_tri_i_47 : STD_LOGIC_VECTOR ( 47 to 47 );
  signal BBOX_tri_i_48 : STD_LOGIC_VECTOR ( 48 to 48 );
  signal BBOX_tri_i_49 : STD_LOGIC_VECTOR ( 49 to 49 );
  signal BBOX_tri_i_5 : STD_LOGIC_VECTOR ( 5 to 5 );
  signal BBOX_tri_i_50 : STD_LOGIC_VECTOR ( 50 to 50 );
  signal BBOX_tri_i_51 : STD_LOGIC_VECTOR ( 51 to 51 );
  signal BBOX_tri_i_6 : STD_LOGIC_VECTOR ( 6 to 6 );
  signal BBOX_tri_i_7 : STD_LOGIC_VECTOR ( 7 to 7 );
  signal BBOX_tri_i_8 : STD_LOGIC_VECTOR ( 8 to 8 );
  signal BBOX_tri_i_9 : STD_LOGIC_VECTOR ( 9 to 9 );
  signal BBOX_tri_io_0 : STD_LOGIC_VECTOR ( 0 to 0 );
  signal BBOX_tri_io_1 : STD_LOGIC_VECTOR ( 1 to 1 );
  signal BBOX_tri_io_10 : STD_LOGIC_VECTOR ( 10 to 10 );
  signal BBOX_tri_io_11 : STD_LOGIC_VECTOR ( 11 to 11 );
  signal BBOX_tri_io_12 : STD_LOGIC_VECTOR ( 12 to 12 );
  signal BBOX_tri_io_13 : STD_LOGIC_VECTOR ( 13 to 13 );
  signal BBOX_tri_io_14 : STD_LOGIC_VECTOR ( 14 to 14 );
  signal BBOX_tri_io_15 : STD_LOGIC_VECTOR ( 15 to 15 );
  signal BBOX_tri_io_16 : STD_LOGIC_VECTOR ( 16 to 16 );
  signal BBOX_tri_io_17 : STD_LOGIC_VECTOR ( 17 to 17 );
  signal BBOX_tri_io_18 : STD_LOGIC_VECTOR ( 18 to 18 );
  signal BBOX_tri_io_19 : STD_LOGIC_VECTOR ( 19 to 19 );
  signal BBOX_tri_io_2 : STD_LOGIC_VECTOR ( 2 to 2 );
  signal BBOX_tri_io_20 : STD_LOGIC_VECTOR ( 20 to 20 );
  signal BBOX_tri_io_21 : STD_LOGIC_VECTOR ( 21 to 21 );
  signal BBOX_tri_io_22 : STD_LOGIC_VECTOR ( 22 to 22 );
  signal BBOX_tri_io_23 : STD_LOGIC_VECTOR ( 23 to 23 );
  signal BBOX_tri_io_24 : STD_LOGIC_VECTOR ( 24 to 24 );
  signal BBOX_tri_io_25 : STD_LOGIC_VECTOR ( 25 to 25 );
  signal BBOX_tri_io_26 : STD_LOGIC_VECTOR ( 26 to 26 );
  signal BBOX_tri_io_27 : STD_LOGIC_VECTOR ( 27 to 27 );
  signal BBOX_tri_io_28 : STD_LOGIC_VECTOR ( 28 to 28 );
  signal BBOX_tri_io_29 : STD_LOGIC_VECTOR ( 29 to 29 );
  signal BBOX_tri_io_3 : STD_LOGIC_VECTOR ( 3 to 3 );
  signal BBOX_tri_io_30 : STD_LOGIC_VECTOR ( 30 to 30 );
  signal BBOX_tri_io_31 : STD_LOGIC_VECTOR ( 31 to 31 );
  signal BBOX_tri_io_32 : STD_LOGIC_VECTOR ( 32 to 32 );
  signal BBOX_tri_io_33 : STD_LOGIC_VECTOR ( 33 to 33 );
  signal BBOX_tri_io_34 : STD_LOGIC_VECTOR ( 34 to 34 );
  signal BBOX_tri_io_35 : STD_LOGIC_VECTOR ( 35 to 35 );
  signal BBOX_tri_io_36 : STD_LOGIC_VECTOR ( 36 to 36 );
  signal BBOX_tri_io_37 : STD_LOGIC_VECTOR ( 37 to 37 );
  signal BBOX_tri_io_38 : STD_LOGIC_VECTOR ( 38 to 38 );
  signal BBOX_tri_io_39 : STD_LOGIC_VECTOR ( 39 to 39 );
  signal BBOX_tri_io_4 : STD_LOGIC_VECTOR ( 4 to 4 );
  signal BBOX_tri_io_40 : STD_LOGIC_VECTOR ( 40 to 40 );
  signal BBOX_tri_io_41 : STD_LOGIC_VECTOR ( 41 to 41 );
  signal BBOX_tri_io_42 : STD_LOGIC_VECTOR ( 42 to 42 );
  signal BBOX_tri_io_43 : STD_LOGIC_VECTOR ( 43 to 43 );
  signal BBOX_tri_io_44 : STD_LOGIC_VECTOR ( 44 to 44 );
  signal BBOX_tri_io_45 : STD_LOGIC_VECTOR ( 45 to 45 );
  signal BBOX_tri_io_46 : STD_LOGIC_VECTOR ( 46 to 46 );
  signal BBOX_tri_io_47 : STD_LOGIC_VECTOR ( 47 to 47 );
  signal BBOX_tri_io_48 : STD_LOGIC_VECTOR ( 48 to 48 );
  signal BBOX_tri_io_49 : STD_LOGIC_VECTOR ( 49 to 49 );
  signal BBOX_tri_io_5 : STD_LOGIC_VECTOR ( 5 to 5 );
  signal BBOX_tri_io_50 : STD_LOGIC_VECTOR ( 50 to 50 );
  signal BBOX_tri_io_51 : STD_LOGIC_VECTOR ( 51 to 51 );
  signal BBOX_tri_io_6 : STD_LOGIC_VECTOR ( 6 to 6 );
  signal BBOX_tri_io_7 : STD_LOGIC_VECTOR ( 7 to 7 );
  signal BBOX_tri_io_8 : STD_LOGIC_VECTOR ( 8 to 8 );
  signal BBOX_tri_io_9 : STD_LOGIC_VECTOR ( 9 to 9 );
  signal BBOX_tri_o_0 : STD_LOGIC_VECTOR ( 0 to 0 );
  signal BBOX_tri_o_1 : STD_LOGIC_VECTOR ( 1 to 1 );
  signal BBOX_tri_o_10 : STD_LOGIC_VECTOR ( 10 to 10 );
  signal BBOX_tri_o_11 : STD_LOGIC_VECTOR ( 11 to 11 );
  signal BBOX_tri_o_12 : STD_LOGIC_VECTOR ( 12 to 12 );
  signal BBOX_tri_o_13 : STD_LOGIC_VECTOR ( 13 to 13 );
  signal BBOX_tri_o_14 : STD_LOGIC_VECTOR ( 14 to 14 );
  signal BBOX_tri_o_15 : STD_LOGIC_VECTOR ( 15 to 15 );
  signal BBOX_tri_o_16 : STD_LOGIC_VECTOR ( 16 to 16 );
  signal BBOX_tri_o_17 : STD_LOGIC_VECTOR ( 17 to 17 );
  signal BBOX_tri_o_18 : STD_LOGIC_VECTOR ( 18 to 18 );
  signal BBOX_tri_o_19 : STD_LOGIC_VECTOR ( 19 to 19 );
  signal BBOX_tri_o_2 : STD_LOGIC_VECTOR ( 2 to 2 );
  signal BBOX_tri_o_20 : STD_LOGIC_VECTOR ( 20 to 20 );
  signal BBOX_tri_o_21 : STD_LOGIC_VECTOR ( 21 to 21 );
  signal BBOX_tri_o_22 : STD_LOGIC_VECTOR ( 22 to 22 );
  signal BBOX_tri_o_23 : STD_LOGIC_VECTOR ( 23 to 23 );
  signal BBOX_tri_o_24 : STD_LOGIC_VECTOR ( 24 to 24 );
  signal BBOX_tri_o_25 : STD_LOGIC_VECTOR ( 25 to 25 );
  signal BBOX_tri_o_26 : STD_LOGIC_VECTOR ( 26 to 26 );
  signal BBOX_tri_o_27 : STD_LOGIC_VECTOR ( 27 to 27 );
  signal BBOX_tri_o_28 : STD_LOGIC_VECTOR ( 28 to 28 );
  signal BBOX_tri_o_29 : STD_LOGIC_VECTOR ( 29 to 29 );
  signal BBOX_tri_o_3 : STD_LOGIC_VECTOR ( 3 to 3 );
  signal BBOX_tri_o_30 : STD_LOGIC_VECTOR ( 30 to 30 );
  signal BBOX_tri_o_31 : STD_LOGIC_VECTOR ( 31 to 31 );
  signal BBOX_tri_o_32 : STD_LOGIC_VECTOR ( 32 to 32 );
  signal BBOX_tri_o_33 : STD_LOGIC_VECTOR ( 33 to 33 );
  signal BBOX_tri_o_34 : STD_LOGIC_VECTOR ( 34 to 34 );
  signal BBOX_tri_o_35 : STD_LOGIC_VECTOR ( 35 to 35 );
  signal BBOX_tri_o_36 : STD_LOGIC_VECTOR ( 36 to 36 );
  signal BBOX_tri_o_37 : STD_LOGIC_VECTOR ( 37 to 37 );
  signal BBOX_tri_o_38 : STD_LOGIC_VECTOR ( 38 to 38 );
  signal BBOX_tri_o_39 : STD_LOGIC_VECTOR ( 39 to 39 );
  signal BBOX_tri_o_4 : STD_LOGIC_VECTOR ( 4 to 4 );
  signal BBOX_tri_o_40 : STD_LOGIC_VECTOR ( 40 to 40 );
  signal BBOX_tri_o_41 : STD_LOGIC_VECTOR ( 41 to 41 );
  signal BBOX_tri_o_42 : STD_LOGIC_VECTOR ( 42 to 42 );
  signal BBOX_tri_o_43 : STD_LOGIC_VECTOR ( 43 to 43 );
  signal BBOX_tri_o_44 : STD_LOGIC_VECTOR ( 44 to 44 );
  signal BBOX_tri_o_45 : STD_LOGIC_VECTOR ( 45 to 45 );
  signal BBOX_tri_o_46 : STD_LOGIC_VECTOR ( 46 to 46 );
  signal BBOX_tri_o_47 : STD_LOGIC_VECTOR ( 47 to 47 );
  signal BBOX_tri_o_48 : STD_LOGIC_VECTOR ( 48 to 48 );
  signal BBOX_tri_o_49 : STD_LOGIC_VECTOR ( 49 to 49 );
  signal BBOX_tri_o_5 : STD_LOGIC_VECTOR ( 5 to 5 );
  signal BBOX_tri_o_50 : STD_LOGIC_VECTOR ( 50 to 50 );
  signal BBOX_tri_o_51 : STD_LOGIC_VECTOR ( 51 to 51 );
  signal BBOX_tri_o_6 : STD_LOGIC_VECTOR ( 6 to 6 );
  signal BBOX_tri_o_7 : STD_LOGIC_VECTOR ( 7 to 7 );
  signal BBOX_tri_o_8 : STD_LOGIC_VECTOR ( 8 to 8 );
  signal BBOX_tri_o_9 : STD_LOGIC_VECTOR ( 9 to 9 );
  signal BBOX_tri_t_0 : STD_LOGIC_VECTOR ( 0 to 0 );
  signal BBOX_tri_t_1 : STD_LOGIC_VECTOR ( 1 to 1 );
  signal BBOX_tri_t_10 : STD_LOGIC_VECTOR ( 10 to 10 );
  signal BBOX_tri_t_11 : STD_LOGIC_VECTOR ( 11 to 11 );
  signal BBOX_tri_t_12 : STD_LOGIC_VECTOR ( 12 to 12 );
  signal BBOX_tri_t_13 : STD_LOGIC_VECTOR ( 13 to 13 );
  signal BBOX_tri_t_14 : STD_LOGIC_VECTOR ( 14 to 14 );
  signal BBOX_tri_t_15 : STD_LOGIC_VECTOR ( 15 to 15 );
  signal BBOX_tri_t_16 : STD_LOGIC_VECTOR ( 16 to 16 );
  signal BBOX_tri_t_17 : STD_LOGIC_VECTOR ( 17 to 17 );
  signal BBOX_tri_t_18 : STD_LOGIC_VECTOR ( 18 to 18 );
  signal BBOX_tri_t_19 : STD_LOGIC_VECTOR ( 19 to 19 );
  signal BBOX_tri_t_2 : STD_LOGIC_VECTOR ( 2 to 2 );
  signal BBOX_tri_t_20 : STD_LOGIC_VECTOR ( 20 to 20 );
  signal BBOX_tri_t_21 : STD_LOGIC_VECTOR ( 21 to 21 );
  signal BBOX_tri_t_22 : STD_LOGIC_VECTOR ( 22 to 22 );
  signal BBOX_tri_t_23 : STD_LOGIC_VECTOR ( 23 to 23 );
  signal BBOX_tri_t_24 : STD_LOGIC_VECTOR ( 24 to 24 );
  signal BBOX_tri_t_25 : STD_LOGIC_VECTOR ( 25 to 25 );
  signal BBOX_tri_t_26 : STD_LOGIC_VECTOR ( 26 to 26 );
  signal BBOX_tri_t_27 : STD_LOGIC_VECTOR ( 27 to 27 );
  signal BBOX_tri_t_28 : STD_LOGIC_VECTOR ( 28 to 28 );
  signal BBOX_tri_t_29 : STD_LOGIC_VECTOR ( 29 to 29 );
  signal BBOX_tri_t_3 : STD_LOGIC_VECTOR ( 3 to 3 );
  signal BBOX_tri_t_30 : STD_LOGIC_VECTOR ( 30 to 30 );
  signal BBOX_tri_t_31 : STD_LOGIC_VECTOR ( 31 to 31 );
  signal BBOX_tri_t_32 : STD_LOGIC_VECTOR ( 32 to 32 );
  signal BBOX_tri_t_33 : STD_LOGIC_VECTOR ( 33 to 33 );
  signal BBOX_tri_t_34 : STD_LOGIC_VECTOR ( 34 to 34 );
  signal BBOX_tri_t_35 : STD_LOGIC_VECTOR ( 35 to 35 );
  signal BBOX_tri_t_36 : STD_LOGIC_VECTOR ( 36 to 36 );
  signal BBOX_tri_t_37 : STD_LOGIC_VECTOR ( 37 to 37 );
  signal BBOX_tri_t_38 : STD_LOGIC_VECTOR ( 38 to 38 );
  signal BBOX_tri_t_39 : STD_LOGIC_VECTOR ( 39 to 39 );
  signal BBOX_tri_t_4 : STD_LOGIC_VECTOR ( 4 to 4 );
  signal BBOX_tri_t_40 : STD_LOGIC_VECTOR ( 40 to 40 );
  signal BBOX_tri_t_41 : STD_LOGIC_VECTOR ( 41 to 41 );
  signal BBOX_tri_t_42 : STD_LOGIC_VECTOR ( 42 to 42 );
  signal BBOX_tri_t_43 : STD_LOGIC_VECTOR ( 43 to 43 );
  signal BBOX_tri_t_44 : STD_LOGIC_VECTOR ( 44 to 44 );
  signal BBOX_tri_t_45 : STD_LOGIC_VECTOR ( 45 to 45 );
  signal BBOX_tri_t_46 : STD_LOGIC_VECTOR ( 46 to 46 );
  signal BBOX_tri_t_47 : STD_LOGIC_VECTOR ( 47 to 47 );
  signal BBOX_tri_t_48 : STD_LOGIC_VECTOR ( 48 to 48 );
  signal BBOX_tri_t_49 : STD_LOGIC_VECTOR ( 49 to 49 );
  signal BBOX_tri_t_5 : STD_LOGIC_VECTOR ( 5 to 5 );
  signal BBOX_tri_t_50 : STD_LOGIC_VECTOR ( 50 to 50 );
  signal BBOX_tri_t_51 : STD_LOGIC_VECTOR ( 51 to 51 );
  signal BBOX_tri_t_6 : STD_LOGIC_VECTOR ( 6 to 6 );
  signal BBOX_tri_t_7 : STD_LOGIC_VECTOR ( 7 to 7 );
  signal BBOX_tri_t_8 : STD_LOGIC_VECTOR ( 8 to 8 );
  signal BBOX_tri_t_9 : STD_LOGIC_VECTOR ( 9 to 9 );
  signal USR_tri_i_0 : STD_LOGIC_VECTOR ( 0 to 0 );
  signal USR_tri_i_1 : STD_LOGIC_VECTOR ( 1 to 1 );
  signal USR_tri_i_10 : STD_LOGIC_VECTOR ( 10 to 10 );
  signal USR_tri_i_11 : STD_LOGIC_VECTOR ( 11 to 11 );
  signal USR_tri_i_12 : STD_LOGIC_VECTOR ( 12 to 12 );
  signal USR_tri_i_13 : STD_LOGIC_VECTOR ( 13 to 13 );
  signal USR_tri_i_14 : STD_LOGIC_VECTOR ( 14 to 14 );
  signal USR_tri_i_15 : STD_LOGIC_VECTOR ( 15 to 15 );
  signal USR_tri_i_16 : STD_LOGIC_VECTOR ( 16 to 16 );
  signal USR_tri_i_17 : STD_LOGIC_VECTOR ( 17 to 17 );
  signal USR_tri_i_18 : STD_LOGIC_VECTOR ( 18 to 18 );
  signal USR_tri_i_19 : STD_LOGIC_VECTOR ( 19 to 19 );
  signal USR_tri_i_2 : STD_LOGIC_VECTOR ( 2 to 2 );
  signal USR_tri_i_20 : STD_LOGIC_VECTOR ( 20 to 20 );
  signal USR_tri_i_21 : STD_LOGIC_VECTOR ( 21 to 21 );
  signal USR_tri_i_22 : STD_LOGIC_VECTOR ( 22 to 22 );
  signal USR_tri_i_23 : STD_LOGIC_VECTOR ( 23 to 23 );
  signal USR_tri_i_24 : STD_LOGIC_VECTOR ( 24 to 24 );
  signal USR_tri_i_25 : STD_LOGIC_VECTOR ( 25 to 25 );
  signal USR_tri_i_26 : STD_LOGIC_VECTOR ( 26 to 26 );
  signal USR_tri_i_27 : STD_LOGIC_VECTOR ( 27 to 27 );
  signal USR_tri_i_28 : STD_LOGIC_VECTOR ( 28 to 28 );
  signal USR_tri_i_29 : STD_LOGIC_VECTOR ( 29 to 29 );
  signal USR_tri_i_3 : STD_LOGIC_VECTOR ( 3 to 3 );
  signal USR_tri_i_30 : STD_LOGIC_VECTOR ( 30 to 30 );
  signal USR_tri_i_31 : STD_LOGIC_VECTOR ( 31 to 31 );
  signal USR_tri_i_32 : STD_LOGIC_VECTOR ( 32 to 32 );
  signal USR_tri_i_33 : STD_LOGIC_VECTOR ( 33 to 33 );
  signal USR_tri_i_34 : STD_LOGIC_VECTOR ( 34 to 34 );
  signal USR_tri_i_35 : STD_LOGIC_VECTOR ( 35 to 35 );
  signal USR_tri_i_4 : STD_LOGIC_VECTOR ( 4 to 4 );
  signal USR_tri_i_5 : STD_LOGIC_VECTOR ( 5 to 5 );
  signal USR_tri_i_6 : STD_LOGIC_VECTOR ( 6 to 6 );
  signal USR_tri_i_7 : STD_LOGIC_VECTOR ( 7 to 7 );
  signal USR_tri_i_8 : STD_LOGIC_VECTOR ( 8 to 8 );
  signal USR_tri_i_9 : STD_LOGIC_VECTOR ( 9 to 9 );
  signal USR_tri_io_0 : STD_LOGIC_VECTOR ( 0 to 0 );
  signal USR_tri_io_1 : STD_LOGIC_VECTOR ( 1 to 1 );
  signal USR_tri_io_10 : STD_LOGIC_VECTOR ( 10 to 10 );
  signal USR_tri_io_11 : STD_LOGIC_VECTOR ( 11 to 11 );
  signal USR_tri_io_12 : STD_LOGIC_VECTOR ( 12 to 12 );
  signal USR_tri_io_13 : STD_LOGIC_VECTOR ( 13 to 13 );
  signal USR_tri_io_14 : STD_LOGIC_VECTOR ( 14 to 14 );
  signal USR_tri_io_15 : STD_LOGIC_VECTOR ( 15 to 15 );
  signal USR_tri_io_16 : STD_LOGIC_VECTOR ( 16 to 16 );
  signal USR_tri_io_17 : STD_LOGIC_VECTOR ( 17 to 17 );
  signal USR_tri_io_18 : STD_LOGIC_VECTOR ( 18 to 18 );
  signal USR_tri_io_19 : STD_LOGIC_VECTOR ( 19 to 19 );
  signal USR_tri_io_2 : STD_LOGIC_VECTOR ( 2 to 2 );
  signal USR_tri_io_20 : STD_LOGIC_VECTOR ( 20 to 20 );
  signal USR_tri_io_21 : STD_LOGIC_VECTOR ( 21 to 21 );
  signal USR_tri_io_22 : STD_LOGIC_VECTOR ( 22 to 22 );
  signal USR_tri_io_23 : STD_LOGIC_VECTOR ( 23 to 23 );
  signal USR_tri_io_24 : STD_LOGIC_VECTOR ( 24 to 24 );
  signal USR_tri_io_25 : STD_LOGIC_VECTOR ( 25 to 25 );
  signal USR_tri_io_26 : STD_LOGIC_VECTOR ( 26 to 26 );
  signal USR_tri_io_27 : STD_LOGIC_VECTOR ( 27 to 27 );
  signal USR_tri_io_28 : STD_LOGIC_VECTOR ( 28 to 28 );
  signal USR_tri_io_29 : STD_LOGIC_VECTOR ( 29 to 29 );
  signal USR_tri_io_3 : STD_LOGIC_VECTOR ( 3 to 3 );
  signal USR_tri_io_30 : STD_LOGIC_VECTOR ( 30 to 30 );
  signal USR_tri_io_31 : STD_LOGIC_VECTOR ( 31 to 31 );
  signal USR_tri_io_32 : STD_LOGIC_VECTOR ( 32 to 32 );
  signal USR_tri_io_33 : STD_LOGIC_VECTOR ( 33 to 33 );
  signal USR_tri_io_34 : STD_LOGIC_VECTOR ( 34 to 34 );
  signal USR_tri_io_35 : STD_LOGIC_VECTOR ( 35 to 35 );
  signal USR_tri_io_4 : STD_LOGIC_VECTOR ( 4 to 4 );
  signal USR_tri_io_5 : STD_LOGIC_VECTOR ( 5 to 5 );
  signal USR_tri_io_6 : STD_LOGIC_VECTOR ( 6 to 6 );
  signal USR_tri_io_7 : STD_LOGIC_VECTOR ( 7 to 7 );
  signal USR_tri_io_8 : STD_LOGIC_VECTOR ( 8 to 8 );
  signal USR_tri_io_9 : STD_LOGIC_VECTOR ( 9 to 9 );
  signal USR_tri_o_0 : STD_LOGIC_VECTOR ( 0 to 0 );
  signal USR_tri_o_1 : STD_LOGIC_VECTOR ( 1 to 1 );
  signal USR_tri_o_10 : STD_LOGIC_VECTOR ( 10 to 10 );
  signal USR_tri_o_11 : STD_LOGIC_VECTOR ( 11 to 11 );
  signal USR_tri_o_12 : STD_LOGIC_VECTOR ( 12 to 12 );
  signal USR_tri_o_13 : STD_LOGIC_VECTOR ( 13 to 13 );
  signal USR_tri_o_14 : STD_LOGIC_VECTOR ( 14 to 14 );
  signal USR_tri_o_15 : STD_LOGIC_VECTOR ( 15 to 15 );
  signal USR_tri_o_16 : STD_LOGIC_VECTOR ( 16 to 16 );
  signal USR_tri_o_17 : STD_LOGIC_VECTOR ( 17 to 17 );
  signal USR_tri_o_18 : STD_LOGIC_VECTOR ( 18 to 18 );
  signal USR_tri_o_19 : STD_LOGIC_VECTOR ( 19 to 19 );
  signal USR_tri_o_2 : STD_LOGIC_VECTOR ( 2 to 2 );
  signal USR_tri_o_20 : STD_LOGIC_VECTOR ( 20 to 20 );
  signal USR_tri_o_21 : STD_LOGIC_VECTOR ( 21 to 21 );
  signal USR_tri_o_22 : STD_LOGIC_VECTOR ( 22 to 22 );
  signal USR_tri_o_23 : STD_LOGIC_VECTOR ( 23 to 23 );
  signal USR_tri_o_24 : STD_LOGIC_VECTOR ( 24 to 24 );
  signal USR_tri_o_25 : STD_LOGIC_VECTOR ( 25 to 25 );
  signal USR_tri_o_26 : STD_LOGIC_VECTOR ( 26 to 26 );
  signal USR_tri_o_27 : STD_LOGIC_VECTOR ( 27 to 27 );
  signal USR_tri_o_28 : STD_LOGIC_VECTOR ( 28 to 28 );
  signal USR_tri_o_29 : STD_LOGIC_VECTOR ( 29 to 29 );
  signal USR_tri_o_3 : STD_LOGIC_VECTOR ( 3 to 3 );
  signal USR_tri_o_30 : STD_LOGIC_VECTOR ( 30 to 30 );
  signal USR_tri_o_31 : STD_LOGIC_VECTOR ( 31 to 31 );
  signal USR_tri_o_32 : STD_LOGIC_VECTOR ( 32 to 32 );
  signal USR_tri_o_33 : STD_LOGIC_VECTOR ( 33 to 33 );
  signal USR_tri_o_34 : STD_LOGIC_VECTOR ( 34 to 34 );
  signal USR_tri_o_35 : STD_LOGIC_VECTOR ( 35 to 35 );
  signal USR_tri_o_4 : STD_LOGIC_VECTOR ( 4 to 4 );
  signal USR_tri_o_5 : STD_LOGIC_VECTOR ( 5 to 5 );
  signal USR_tri_o_6 : STD_LOGIC_VECTOR ( 6 to 6 );
  signal USR_tri_o_7 : STD_LOGIC_VECTOR ( 7 to 7 );
  signal USR_tri_o_8 : STD_LOGIC_VECTOR ( 8 to 8 );
  signal USR_tri_o_9 : STD_LOGIC_VECTOR ( 9 to 9 );
  signal USR_tri_t_0 : STD_LOGIC_VECTOR ( 0 to 0 );
  signal USR_tri_t_1 : STD_LOGIC_VECTOR ( 1 to 1 );
  signal USR_tri_t_10 : STD_LOGIC_VECTOR ( 10 to 10 );
  signal USR_tri_t_11 : STD_LOGIC_VECTOR ( 11 to 11 );
  signal USR_tri_t_12 : STD_LOGIC_VECTOR ( 12 to 12 );
  signal USR_tri_t_13 : STD_LOGIC_VECTOR ( 13 to 13 );
  signal USR_tri_t_14 : STD_LOGIC_VECTOR ( 14 to 14 );
  signal USR_tri_t_15 : STD_LOGIC_VECTOR ( 15 to 15 );
  signal USR_tri_t_16 : STD_LOGIC_VECTOR ( 16 to 16 );
  signal USR_tri_t_17 : STD_LOGIC_VECTOR ( 17 to 17 );
  signal USR_tri_t_18 : STD_LOGIC_VECTOR ( 18 to 18 );
  signal USR_tri_t_19 : STD_LOGIC_VECTOR ( 19 to 19 );
  signal USR_tri_t_2 : STD_LOGIC_VECTOR ( 2 to 2 );
  signal USR_tri_t_20 : STD_LOGIC_VECTOR ( 20 to 20 );
  signal USR_tri_t_21 : STD_LOGIC_VECTOR ( 21 to 21 );
  signal USR_tri_t_22 : STD_LOGIC_VECTOR ( 22 to 22 );
  signal USR_tri_t_23 : STD_LOGIC_VECTOR ( 23 to 23 );
  signal USR_tri_t_24 : STD_LOGIC_VECTOR ( 24 to 24 );
  signal USR_tri_t_25 : STD_LOGIC_VECTOR ( 25 to 25 );
  signal USR_tri_t_26 : STD_LOGIC_VECTOR ( 26 to 26 );
  signal USR_tri_t_27 : STD_LOGIC_VECTOR ( 27 to 27 );
  signal USR_tri_t_28 : STD_LOGIC_VECTOR ( 28 to 28 );
  signal USR_tri_t_29 : STD_LOGIC_VECTOR ( 29 to 29 );
  signal USR_tri_t_3 : STD_LOGIC_VECTOR ( 3 to 3 );
  signal USR_tri_t_30 : STD_LOGIC_VECTOR ( 30 to 30 );
  signal USR_tri_t_31 : STD_LOGIC_VECTOR ( 31 to 31 );
  signal USR_tri_t_32 : STD_LOGIC_VECTOR ( 32 to 32 );
  signal USR_tri_t_33 : STD_LOGIC_VECTOR ( 33 to 33 );
  signal USR_tri_t_34 : STD_LOGIC_VECTOR ( 34 to 34 );
  signal USR_tri_t_35 : STD_LOGIC_VECTOR ( 35 to 35 );
  signal USR_tri_t_4 : STD_LOGIC_VECTOR ( 4 to 4 );
  signal USR_tri_t_5 : STD_LOGIC_VECTOR ( 5 to 5 );
  signal USR_tri_t_6 : STD_LOGIC_VECTOR ( 6 to 6 );
  signal USR_tri_t_7 : STD_LOGIC_VECTOR ( 7 to 7 );
  signal USR_tri_t_8 : STD_LOGIC_VECTOR ( 8 to 8 );
  signal USR_tri_t_9 : STD_LOGIC_VECTOR ( 9 to 9 );
begin
BBOX_tri_iobuf_0: component IOBUF
     port map (
      I => BBOX_tri_o_0(0),
      IO => BBOX_tri_io(0),
      O => BBOX_tri_i_0(0),
      T => BBOX_tri_t_0(0)
    );
BBOX_tri_iobuf_1: component IOBUF
     port map (
      I => BBOX_tri_o_1(1),
      IO => BBOX_tri_io(1),
      O => BBOX_tri_i_1(1),
      T => BBOX_tri_t_1(1)
    );
BBOX_tri_iobuf_10: component IOBUF
     port map (
      I => BBOX_tri_o_10(10),
      IO => BBOX_tri_io(10),
      O => BBOX_tri_i_10(10),
      T => BBOX_tri_t_10(10)
    );
BBOX_tri_iobuf_11: component IOBUF
     port map (
      I => BBOX_tri_o_11(11),
      IO => BBOX_tri_io(11),
      O => BBOX_tri_i_11(11),
      T => BBOX_tri_t_11(11)
    );
BBOX_tri_iobuf_12: component IOBUF
     port map (
      I => BBOX_tri_o_12(12),
      IO => BBOX_tri_io(12),
      O => BBOX_tri_i_12(12),
      T => BBOX_tri_t_12(12)
    );
BBOX_tri_iobuf_13: component IOBUF
     port map (
      I => BBOX_tri_o_13(13),
      IO => BBOX_tri_io(13),
      O => BBOX_tri_i_13(13),
      T => BBOX_tri_t_13(13)
    );
BBOX_tri_iobuf_14: component IOBUF
     port map (
      I => BBOX_tri_o_14(14),
      IO => BBOX_tri_io(14),
      O => BBOX_tri_i_14(14),
      T => BBOX_tri_t_14(14)
    );
BBOX_tri_iobuf_15: component IOBUF
     port map (
      I => BBOX_tri_o_15(15),
      IO => BBOX_tri_io(15),
      O => BBOX_tri_i_15(15),
      T => BBOX_tri_t_15(15)
    );
BBOX_tri_iobuf_16: component IOBUF
     port map (
      I => BBOX_tri_o_16(16),
      IO => BBOX_tri_io(16),
      O => BBOX_tri_i_16(16),
      T => BBOX_tri_t_16(16)
    );
BBOX_tri_iobuf_17: component IOBUF
     port map (
      I => BBOX_tri_o_17(17),
      IO => BBOX_tri_io(17),
      O => BBOX_tri_i_17(17),
      T => BBOX_tri_t_17(17)
    );
BBOX_tri_iobuf_18: component IOBUF
     port map (
      I => BBOX_tri_o_18(18),
      IO => BBOX_tri_io(18),
      O => BBOX_tri_i_18(18),
      T => BBOX_tri_t_18(18)
    );
BBOX_tri_iobuf_19: component IOBUF
     port map (
      I => BBOX_tri_o_19(19),
      IO => BBOX_tri_io(19),
      O => BBOX_tri_i_19(19),
      T => BBOX_tri_t_19(19)
    );
BBOX_tri_iobuf_2: component IOBUF
     port map (
      I => BBOX_tri_o_2(2),
      IO => BBOX_tri_io(2),
      O => BBOX_tri_i_2(2),
      T => BBOX_tri_t_2(2)
    );
BBOX_tri_iobuf_20: component IOBUF
     port map (
      I => BBOX_tri_o_20(20),
      IO => BBOX_tri_io(20),
      O => BBOX_tri_i_20(20),
      T => BBOX_tri_t_20(20)
    );
BBOX_tri_iobuf_21: component IOBUF
     port map (
      I => BBOX_tri_o_21(21),
      IO => BBOX_tri_io(21),
      O => BBOX_tri_i_21(21),
      T => BBOX_tri_t_21(21)
    );
BBOX_tri_iobuf_22: component IOBUF
     port map (
      I => BBOX_tri_o_22(22),
      IO => BBOX_tri_io(22),
      O => BBOX_tri_i_22(22),
      T => BBOX_tri_t_22(22)
    );
BBOX_tri_iobuf_23: component IOBUF
     port map (
      I => BBOX_tri_o_23(23),
      IO => BBOX_tri_io(23),
      O => BBOX_tri_i_23(23),
      T => BBOX_tri_t_23(23)
    );
BBOX_tri_iobuf_24: component IOBUF
     port map (
      I => BBOX_tri_o_24(24),
      IO => BBOX_tri_io(24),
      O => BBOX_tri_i_24(24),
      T => BBOX_tri_t_24(24)
    );
BBOX_tri_iobuf_25: component IOBUF
     port map (
      I => BBOX_tri_o_25(25),
      IO => BBOX_tri_io(25),
      O => BBOX_tri_i_25(25),
      T => BBOX_tri_t_25(25)
    );
BBOX_tri_iobuf_26: component IOBUF
     port map (
      I => BBOX_tri_o_26(26),
      IO => BBOX_tri_io(26),
      O => BBOX_tri_i_26(26),
      T => BBOX_tri_t_26(26)
    );
BBOX_tri_iobuf_27: component IOBUF
     port map (
      I => BBOX_tri_o_27(27),
      IO => BBOX_tri_io(27),
      O => BBOX_tri_i_27(27),
      T => BBOX_tri_t_27(27)
    );
BBOX_tri_iobuf_28: component IOBUF
     port map (
      I => BBOX_tri_o_28(28),
      IO => BBOX_tri_io(28),
      O => BBOX_tri_i_28(28),
      T => BBOX_tri_t_28(28)
    );
BBOX_tri_iobuf_29: component IOBUF
     port map (
      I => BBOX_tri_o_29(29),
      IO => BBOX_tri_io(29),
      O => BBOX_tri_i_29(29),
      T => BBOX_tri_t_29(29)
    );
BBOX_tri_iobuf_3: component IOBUF
     port map (
      I => BBOX_tri_o_3(3),
      IO => BBOX_tri_io(3),
      O => BBOX_tri_i_3(3),
      T => BBOX_tri_t_3(3)
    );
BBOX_tri_iobuf_30: component IOBUF
     port map (
      I => BBOX_tri_o_30(30),
      IO => BBOX_tri_io(30),
      O => BBOX_tri_i_30(30),
      T => BBOX_tri_t_30(30)
    );
BBOX_tri_iobuf_31: component IOBUF
     port map (
      I => BBOX_tri_o_31(31),
      IO => BBOX_tri_io(31),
      O => BBOX_tri_i_31(31),
      T => BBOX_tri_t_31(31)
    );
BBOX_tri_iobuf_32: component IOBUF
     port map (
      I => BBOX_tri_o_32(32),
      IO => BBOX_tri_io(32),
      O => BBOX_tri_i_32(32),
      T => BBOX_tri_t_32(32)
    );
BBOX_tri_iobuf_33: component IOBUF
     port map (
      I => BBOX_tri_o_33(33),
      IO => BBOX_tri_io(33),
      O => BBOX_tri_i_33(33),
      T => BBOX_tri_t_33(33)
    );
BBOX_tri_iobuf_34: component IOBUF
     port map (
      I => BBOX_tri_o_34(34),
      IO => BBOX_tri_io(34),
      O => BBOX_tri_i_34(34),
      T => BBOX_tri_t_34(34)
    );
BBOX_tri_iobuf_35: component IOBUF
     port map (
      I => BBOX_tri_o_35(35),
      IO => BBOX_tri_io(35),
      O => BBOX_tri_i_35(35),
      T => BBOX_tri_t_35(35)
    );
BBOX_tri_iobuf_36: component IOBUF
     port map (
      I => BBOX_tri_o_36(36),
      IO => BBOX_tri_io(36),
      O => BBOX_tri_i_36(36),
      T => BBOX_tri_t_36(36)
    );
BBOX_tri_iobuf_37: component IOBUF
     port map (
      I => BBOX_tri_o_37(37),
      IO => BBOX_tri_io(37),
      O => BBOX_tri_i_37(37),
      T => BBOX_tri_t_37(37)
    );
BBOX_tri_iobuf_38: component IOBUF
     port map (
      I => BBOX_tri_o_38(38),
      IO => BBOX_tri_io(38),
      O => BBOX_tri_i_38(38),
      T => BBOX_tri_t_38(38)
    );
BBOX_tri_iobuf_39: component IOBUF
     port map (
      I => BBOX_tri_o_39(39),
      IO => BBOX_tri_io(39),
      O => BBOX_tri_i_39(39),
      T => BBOX_tri_t_39(39)
    );
BBOX_tri_iobuf_4: component IOBUF
     port map (
      I => BBOX_tri_o_4(4),
      IO => BBOX_tri_io(4),
      O => BBOX_tri_i_4(4),
      T => BBOX_tri_t_4(4)
    );
BBOX_tri_iobuf_40: component IOBUF
     port map (
      I => BBOX_tri_o_40(40),
      IO => BBOX_tri_io(40),
      O => BBOX_tri_i_40(40),
      T => BBOX_tri_t_40(40)
    );
BBOX_tri_iobuf_41: component IOBUF
     port map (
      I => BBOX_tri_o_41(41),
      IO => BBOX_tri_io(41),
      O => BBOX_tri_i_41(41),
      T => BBOX_tri_t_41(41)
    );
BBOX_tri_iobuf_42: component IOBUF
     port map (
      I => BBOX_tri_o_42(42),
      IO => BBOX_tri_io(42),
      O => BBOX_tri_i_42(42),
      T => BBOX_tri_t_42(42)
    );
BBOX_tri_iobuf_43: component IOBUF
     port map (
      I => BBOX_tri_o_43(43),
      IO => BBOX_tri_io(43),
      O => BBOX_tri_i_43(43),
      T => BBOX_tri_t_43(43)
    );
BBOX_tri_iobuf_44: component IOBUF
     port map (
      I => BBOX_tri_o_44(44),
      IO => BBOX_tri_io(44),
      O => BBOX_tri_i_44(44),
      T => BBOX_tri_t_44(44)
    );
BBOX_tri_iobuf_45: component IOBUF
     port map (
      I => BBOX_tri_o_45(45),
      IO => BBOX_tri_io(45),
      O => BBOX_tri_i_45(45),
      T => BBOX_tri_t_45(45)
    );
BBOX_tri_iobuf_46: component IOBUF
     port map (
      I => BBOX_tri_o_46(46),
      IO => BBOX_tri_io(46),
      O => BBOX_tri_i_46(46),
      T => BBOX_tri_t_46(46)
    );
BBOX_tri_iobuf_47: component IOBUF
     port map (
      I => BBOX_tri_o_47(47),
      IO => BBOX_tri_io(47),
      O => BBOX_tri_i_47(47),
      T => BBOX_tri_t_47(47)
    );
BBOX_tri_iobuf_48: component IOBUF
     port map (
      I => BBOX_tri_o_48(48),
      IO => BBOX_tri_io(48),
      O => BBOX_tri_i_48(48),
      T => BBOX_tri_t_48(48)
    );
BBOX_tri_iobuf_49: component IOBUF
     port map (
      I => BBOX_tri_o_49(49),
      IO => BBOX_tri_io(49),
      O => BBOX_tri_i_49(49),
      T => BBOX_tri_t_49(49)
    );
BBOX_tri_iobuf_5: component IOBUF
     port map (
      I => BBOX_tri_o_5(5),
      IO => BBOX_tri_io(5),
      O => BBOX_tri_i_5(5),
      T => BBOX_tri_t_5(5)
    );
BBOX_tri_iobuf_50: component IOBUF
     port map (
      I => BBOX_tri_o_50(50),
      IO => BBOX_tri_io(50),
      O => BBOX_tri_i_50(50),
      T => BBOX_tri_t_50(50)
    );
BBOX_tri_iobuf_51: component IOBUF
     port map (
      I => BBOX_tri_o_51(51),
      IO => BBOX_tri_io(51),
      O => BBOX_tri_i_51(51),
      T => BBOX_tri_t_51(51)
    );
BBOX_tri_iobuf_6: component IOBUF
     port map (
      I => BBOX_tri_o_6(6),
      IO => BBOX_tri_io(6),
      O => BBOX_tri_i_6(6),
      T => BBOX_tri_t_6(6)
    );
BBOX_tri_iobuf_7: component IOBUF
     port map (
      I => BBOX_tri_o_7(7),
      IO => BBOX_tri_io(7),
      O => BBOX_tri_i_7(7),
      T => BBOX_tri_t_7(7)
    );
BBOX_tri_iobuf_8: component IOBUF
     port map (
      I => BBOX_tri_o_8(8),
      IO => BBOX_tri_io(8),
      O => BBOX_tri_i_8(8),
      T => BBOX_tri_t_8(8)
    );
BBOX_tri_iobuf_9: component IOBUF
     port map (
      I => BBOX_tri_o_9(9),
      IO => BBOX_tri_io(9),
      O => BBOX_tri_i_9(9),
      T => BBOX_tri_t_9(9)
    );
USR_tri_iobuf_0: component IOBUF
     port map (
      I => USR_tri_o_0(0),
      IO => USR_tri_io(0),
      O => USR_tri_i_0(0),
      T => USR_tri_t_0(0)
    );
USR_tri_iobuf_1: component IOBUF
     port map (
      I => USR_tri_o_1(1),
      IO => USR_tri_io(1),
      O => USR_tri_i_1(1),
      T => USR_tri_t_1(1)
    );
USR_tri_iobuf_10: component IOBUF
     port map (
      I => USR_tri_o_10(10),
      IO => USR_tri_io(10),
      O => USR_tri_i_10(10),
      T => USR_tri_t_10(10)
    );
USR_tri_iobuf_11: component IOBUF
     port map (
      I => USR_tri_o_11(11),
      IO => USR_tri_io(11),
      O => USR_tri_i_11(11),
      T => USR_tri_t_11(11)
    );
USR_tri_iobuf_12: component IOBUF
     port map (
      I => USR_tri_o_12(12),
      IO => USR_tri_io(12),
      O => USR_tri_i_12(12),
      T => USR_tri_t_12(12)
    );
USR_tri_iobuf_13: component IOBUF
     port map (
      I => USR_tri_o_13(13),
      IO => USR_tri_io(13),
      O => USR_tri_i_13(13),
      T => USR_tri_t_13(13)
    );
USR_tri_iobuf_14: component IOBUF
     port map (
      I => USR_tri_o_14(14),
      IO => USR_tri_io(14),
      O => USR_tri_i_14(14),
      T => USR_tri_t_14(14)
    );
USR_tri_iobuf_15: component IOBUF
     port map (
      I => USR_tri_o_15(15),
      IO => USR_tri_io(15),
      O => USR_tri_i_15(15),
      T => USR_tri_t_15(15)
    );
USR_tri_iobuf_16: component IOBUF
     port map (
      I => USR_tri_o_16(16),
      IO => USR_tri_io(16),
      O => USR_tri_i_16(16),
      T => USR_tri_t_16(16)
    );
USR_tri_iobuf_17: component IOBUF
     port map (
      I => USR_tri_o_17(17),
      IO => USR_tri_io(17),
      O => USR_tri_i_17(17),
      T => USR_tri_t_17(17)
    );
USR_tri_iobuf_18: component IOBUF
     port map (
      I => USR_tri_o_18(18),
      IO => USR_tri_io(18),
      O => USR_tri_i_18(18),
      T => USR_tri_t_18(18)
    );
USR_tri_iobuf_19: component IOBUF
     port map (
      I => USR_tri_o_19(19),
      IO => USR_tri_io(19),
      O => USR_tri_i_19(19),
      T => USR_tri_t_19(19)
    );
USR_tri_iobuf_2: component IOBUF
     port map (
      I => USR_tri_o_2(2),
      IO => USR_tri_io(2),
      O => USR_tri_i_2(2),
      T => USR_tri_t_2(2)
    );
USR_tri_iobuf_20: component IOBUF
     port map (
      I => USR_tri_o_20(20),
      IO => USR_tri_io(20),
      O => USR_tri_i_20(20),
      T => USR_tri_t_20(20)
    );
USR_tri_iobuf_21: component IOBUF
     port map (
      I => USR_tri_o_21(21),
      IO => USR_tri_io(21),
      O => USR_tri_i_21(21),
      T => USR_tri_t_21(21)
    );
USR_tri_iobuf_22: component IOBUF
     port map (
      I => USR_tri_o_22(22),
      IO => USR_tri_io(22),
      O => USR_tri_i_22(22),
      T => USR_tri_t_22(22)
    );
USR_tri_iobuf_23: component IOBUF
     port map (
      I => USR_tri_o_23(23),
      IO => USR_tri_io(23),
      O => USR_tri_i_23(23),
      T => USR_tri_t_23(23)
    );
USR_tri_iobuf_24: component IOBUF
     port map (
      I => USR_tri_o_24(24),
      IO => USR_tri_io(24),
      O => USR_tri_i_24(24),
      T => USR_tri_t_24(24)
    );
USR_tri_iobuf_25: component IOBUF
     port map (
      I => USR_tri_o_25(25),
      IO => USR_tri_io(25),
      O => USR_tri_i_25(25),
      T => USR_tri_t_25(25)
    );
USR_tri_iobuf_26: component IOBUF
     port map (
      I => USR_tri_o_26(26),
      IO => USR_tri_io(26),
      O => USR_tri_i_26(26),
      T => USR_tri_t_26(26)
    );
USR_tri_iobuf_27: component IOBUF
     port map (
      I => USR_tri_o_27(27),
      IO => USR_tri_io(27),
      O => USR_tri_i_27(27),
      T => USR_tri_t_27(27)
    );
USR_tri_iobuf_28: component IOBUF
     port map (
      I => USR_tri_o_28(28),
      IO => USR_tri_io(28),
      O => USR_tri_i_28(28),
      T => USR_tri_t_28(28)
    );
USR_tri_iobuf_29: component IOBUF
     port map (
      I => USR_tri_o_29(29),
      IO => USR_tri_io(29),
      O => USR_tri_i_29(29),
      T => USR_tri_t_29(29)
    );
USR_tri_iobuf_3: component IOBUF
     port map (
      I => USR_tri_o_3(3),
      IO => USR_tri_io(3),
      O => USR_tri_i_3(3),
      T => USR_tri_t_3(3)
    );
USR_tri_iobuf_30: component IOBUF
     port map (
      I => USR_tri_o_30(30),
      IO => USR_tri_io(30),
      O => USR_tri_i_30(30),
      T => USR_tri_t_30(30)
    );
USR_tri_iobuf_31: component IOBUF
     port map (
      I => USR_tri_o_31(31),
      IO => USR_tri_io(31),
      O => USR_tri_i_31(31),
      T => USR_tri_t_31(31)
    );
USR_tri_iobuf_32: component IOBUF
     port map (
      I => USR_tri_o_32(32),
      IO => USR_tri_io(32),
      O => USR_tri_i_32(32),
      T => USR_tri_t_32(32)
    );
USR_tri_iobuf_33: component IOBUF
     port map (
      I => USR_tri_o_33(33),
      IO => USR_tri_io(33),
      O => USR_tri_i_33(33),
      T => USR_tri_t_33(33)
    );
USR_tri_iobuf_34: component IOBUF
     port map (
      I => USR_tri_o_34(34),
      IO => USR_tri_io(34),
      O => USR_tri_i_34(34),
      T => USR_tri_t_34(34)
    );
USR_tri_iobuf_35: component IOBUF
     port map (
      I => USR_tri_o_35(35),
      IO => USR_tri_io(35),
      O => USR_tri_i_35(35),
      T => USR_tri_t_35(35)
    );
USR_tri_iobuf_4: component IOBUF
     port map (
      I => USR_tri_o_4(4),
      IO => USR_tri_io(4),
      O => USR_tri_i_4(4),
      T => USR_tri_t_4(4)
    );
USR_tri_iobuf_5: component IOBUF
     port map (
      I => USR_tri_o_5(5),
      IO => USR_tri_io(5),
      O => USR_tri_i_5(5),
      T => USR_tri_t_5(5)
    );
USR_tri_iobuf_6: component IOBUF
     port map (
      I => USR_tri_o_6(6),
      IO => USR_tri_io(6),
      O => USR_tri_i_6(6),
      T => USR_tri_t_6(6)
    );
USR_tri_iobuf_7: component IOBUF
     port map (
      I => USR_tri_o_7(7),
      IO => USR_tri_io(7),
      O => USR_tri_i_7(7),
      T => USR_tri_t_7(7)
    );
USR_tri_iobuf_8: component IOBUF
     port map (
      I => USR_tri_o_8(8),
      IO => USR_tri_io(8),
      O => USR_tri_i_8(8),
      T => USR_tri_t_8(8)
    );
USR_tri_iobuf_9: component IOBUF
     port map (
      I => USR_tri_o_9(9),
      IO => USR_tri_io(9),
      O => USR_tri_i_9(9),
      T => USR_tri_t_9(9)
    );
top_i: component top
     port map (
      BBOX_tri_i(51) => BBOX_tri_i_51(51),
      BBOX_tri_i(50) => BBOX_tri_i_50(50),
      BBOX_tri_i(49) => BBOX_tri_i_49(49),
      BBOX_tri_i(48) => BBOX_tri_i_48(48),
      BBOX_tri_i(47) => BBOX_tri_i_47(47),
      BBOX_tri_i(46) => BBOX_tri_i_46(46),
      BBOX_tri_i(45) => BBOX_tri_i_45(45),
      BBOX_tri_i(44) => BBOX_tri_i_44(44),
      BBOX_tri_i(43) => BBOX_tri_i_43(43),
      BBOX_tri_i(42) => BBOX_tri_i_42(42),
      BBOX_tri_i(41) => BBOX_tri_i_41(41),
      BBOX_tri_i(40) => BBOX_tri_i_40(40),
      BBOX_tri_i(39) => BBOX_tri_i_39(39),
      BBOX_tri_i(38) => BBOX_tri_i_38(38),
      BBOX_tri_i(37) => BBOX_tri_i_37(37),
      BBOX_tri_i(36) => BBOX_tri_i_36(36),
      BBOX_tri_i(35) => BBOX_tri_i_35(35),
      BBOX_tri_i(34) => BBOX_tri_i_34(34),
      BBOX_tri_i(33) => BBOX_tri_i_33(33),
      BBOX_tri_i(32) => BBOX_tri_i_32(32),
      BBOX_tri_i(31) => BBOX_tri_i_31(31),
      BBOX_tri_i(30) => BBOX_tri_i_30(30),
      BBOX_tri_i(29) => BBOX_tri_i_29(29),
      BBOX_tri_i(28) => BBOX_tri_i_28(28),
      BBOX_tri_i(27) => BBOX_tri_i_27(27),
      BBOX_tri_i(26) => BBOX_tri_i_26(26),
      BBOX_tri_i(25) => BBOX_tri_i_25(25),
      BBOX_tri_i(24) => BBOX_tri_i_24(24),
      BBOX_tri_i(23) => BBOX_tri_i_23(23),
      BBOX_tri_i(22) => BBOX_tri_i_22(22),
      BBOX_tri_i(21) => BBOX_tri_i_21(21),
      BBOX_tri_i(20) => BBOX_tri_i_20(20),
      BBOX_tri_i(19) => BBOX_tri_i_19(19),
      BBOX_tri_i(18) => BBOX_tri_i_18(18),
      BBOX_tri_i(17) => BBOX_tri_i_17(17),
      BBOX_tri_i(16) => BBOX_tri_i_16(16),
      BBOX_tri_i(15) => BBOX_tri_i_15(15),
      BBOX_tri_i(14) => BBOX_tri_i_14(14),
      BBOX_tri_i(13) => BBOX_tri_i_13(13),
      BBOX_tri_i(12) => BBOX_tri_i_12(12),
      BBOX_tri_i(11) => BBOX_tri_i_11(11),
      BBOX_tri_i(10) => BBOX_tri_i_10(10),
      BBOX_tri_i(9) => BBOX_tri_i_9(9),
      BBOX_tri_i(8) => BBOX_tri_i_8(8),
      BBOX_tri_i(7) => BBOX_tri_i_7(7),
      BBOX_tri_i(6) => BBOX_tri_i_6(6),
      BBOX_tri_i(5) => BBOX_tri_i_5(5),
      BBOX_tri_i(4) => BBOX_tri_i_4(4),
      BBOX_tri_i(3) => BBOX_tri_i_3(3),
      BBOX_tri_i(2) => BBOX_tri_i_2(2),
      BBOX_tri_i(1) => BBOX_tri_i_1(1),
      BBOX_tri_i(0) => BBOX_tri_i_0(0),
      BBOX_tri_o(51) => BBOX_tri_o_51(51),
      BBOX_tri_o(50) => BBOX_tri_o_50(50),
      BBOX_tri_o(49) => BBOX_tri_o_49(49),
      BBOX_tri_o(48) => BBOX_tri_o_48(48),
      BBOX_tri_o(47) => BBOX_tri_o_47(47),
      BBOX_tri_o(46) => BBOX_tri_o_46(46),
      BBOX_tri_o(45) => BBOX_tri_o_45(45),
      BBOX_tri_o(44) => BBOX_tri_o_44(44),
      BBOX_tri_o(43) => BBOX_tri_o_43(43),
      BBOX_tri_o(42) => BBOX_tri_o_42(42),
      BBOX_tri_o(41) => BBOX_tri_o_41(41),
      BBOX_tri_o(40) => BBOX_tri_o_40(40),
      BBOX_tri_o(39) => BBOX_tri_o_39(39),
      BBOX_tri_o(38) => BBOX_tri_o_38(38),
      BBOX_tri_o(37) => BBOX_tri_o_37(37),
      BBOX_tri_o(36) => BBOX_tri_o_36(36),
      BBOX_tri_o(35) => BBOX_tri_o_35(35),
      BBOX_tri_o(34) => BBOX_tri_o_34(34),
      BBOX_tri_o(33) => BBOX_tri_o_33(33),
      BBOX_tri_o(32) => BBOX_tri_o_32(32),
      BBOX_tri_o(31) => BBOX_tri_o_31(31),
      BBOX_tri_o(30) => BBOX_tri_o_30(30),
      BBOX_tri_o(29) => BBOX_tri_o_29(29),
      BBOX_tri_o(28) => BBOX_tri_o_28(28),
      BBOX_tri_o(27) => BBOX_tri_o_27(27),
      BBOX_tri_o(26) => BBOX_tri_o_26(26),
      BBOX_tri_o(25) => BBOX_tri_o_25(25),
      BBOX_tri_o(24) => BBOX_tri_o_24(24),
      BBOX_tri_o(23) => BBOX_tri_o_23(23),
      BBOX_tri_o(22) => BBOX_tri_o_22(22),
      BBOX_tri_o(21) => BBOX_tri_o_21(21),
      BBOX_tri_o(20) => BBOX_tri_o_20(20),
      BBOX_tri_o(19) => BBOX_tri_o_19(19),
      BBOX_tri_o(18) => BBOX_tri_o_18(18),
      BBOX_tri_o(17) => BBOX_tri_o_17(17),
      BBOX_tri_o(16) => BBOX_tri_o_16(16),
      BBOX_tri_o(15) => BBOX_tri_o_15(15),
      BBOX_tri_o(14) => BBOX_tri_o_14(14),
      BBOX_tri_o(13) => BBOX_tri_o_13(13),
      BBOX_tri_o(12) => BBOX_tri_o_12(12),
      BBOX_tri_o(11) => BBOX_tri_o_11(11),
      BBOX_tri_o(10) => BBOX_tri_o_10(10),
      BBOX_tri_o(9) => BBOX_tri_o_9(9),
      BBOX_tri_o(8) => BBOX_tri_o_8(8),
      BBOX_tri_o(7) => BBOX_tri_o_7(7),
      BBOX_tri_o(6) => BBOX_tri_o_6(6),
      BBOX_tri_o(5) => BBOX_tri_o_5(5),
      BBOX_tri_o(4) => BBOX_tri_o_4(4),
      BBOX_tri_o(3) => BBOX_tri_o_3(3),
      BBOX_tri_o(2) => BBOX_tri_o_2(2),
      BBOX_tri_o(1) => BBOX_tri_o_1(1),
      BBOX_tri_o(0) => BBOX_tri_o_0(0),
      BBOX_tri_t(51) => BBOX_tri_t_51(51),
      BBOX_tri_t(50) => BBOX_tri_t_50(50),
      BBOX_tri_t(49) => BBOX_tri_t_49(49),
      BBOX_tri_t(48) => BBOX_tri_t_48(48),
      BBOX_tri_t(47) => BBOX_tri_t_47(47),
      BBOX_tri_t(46) => BBOX_tri_t_46(46),
      BBOX_tri_t(45) => BBOX_tri_t_45(45),
      BBOX_tri_t(44) => BBOX_tri_t_44(44),
      BBOX_tri_t(43) => BBOX_tri_t_43(43),
      BBOX_tri_t(42) => BBOX_tri_t_42(42),
      BBOX_tri_t(41) => BBOX_tri_t_41(41),
      BBOX_tri_t(40) => BBOX_tri_t_40(40),
      BBOX_tri_t(39) => BBOX_tri_t_39(39),
      BBOX_tri_t(38) => BBOX_tri_t_38(38),
      BBOX_tri_t(37) => BBOX_tri_t_37(37),
      BBOX_tri_t(36) => BBOX_tri_t_36(36),
      BBOX_tri_t(35) => BBOX_tri_t_35(35),
      BBOX_tri_t(34) => BBOX_tri_t_34(34),
      BBOX_tri_t(33) => BBOX_tri_t_33(33),
      BBOX_tri_t(32) => BBOX_tri_t_32(32),
      BBOX_tri_t(31) => BBOX_tri_t_31(31),
      BBOX_tri_t(30) => BBOX_tri_t_30(30),
      BBOX_tri_t(29) => BBOX_tri_t_29(29),
      BBOX_tri_t(28) => BBOX_tri_t_28(28),
      BBOX_tri_t(27) => BBOX_tri_t_27(27),
      BBOX_tri_t(26) => BBOX_tri_t_26(26),
      BBOX_tri_t(25) => BBOX_tri_t_25(25),
      BBOX_tri_t(24) => BBOX_tri_t_24(24),
      BBOX_tri_t(23) => BBOX_tri_t_23(23),
      BBOX_tri_t(22) => BBOX_tri_t_22(22),
      BBOX_tri_t(21) => BBOX_tri_t_21(21),
      BBOX_tri_t(20) => BBOX_tri_t_20(20),
      BBOX_tri_t(19) => BBOX_tri_t_19(19),
      BBOX_tri_t(18) => BBOX_tri_t_18(18),
      BBOX_tri_t(17) => BBOX_tri_t_17(17),
      BBOX_tri_t(16) => BBOX_tri_t_16(16),
      BBOX_tri_t(15) => BBOX_tri_t_15(15),
      BBOX_tri_t(14) => BBOX_tri_t_14(14),
      BBOX_tri_t(13) => BBOX_tri_t_13(13),
      BBOX_tri_t(12) => BBOX_tri_t_12(12),
      BBOX_tri_t(11) => BBOX_tri_t_11(11),
      BBOX_tri_t(10) => BBOX_tri_t_10(10),
      BBOX_tri_t(9) => BBOX_tri_t_9(9),
      BBOX_tri_t(8) => BBOX_tri_t_8(8),
      BBOX_tri_t(7) => BBOX_tri_t_7(7),
      BBOX_tri_t(6) => BBOX_tri_t_6(6),
      BBOX_tri_t(5) => BBOX_tri_t_5(5),
      BBOX_tri_t(4) => BBOX_tri_t_4(4),
      BBOX_tri_t(3) => BBOX_tri_t_3(3),
      BBOX_tri_t(2) => BBOX_tri_t_2(2),
      BBOX_tri_t(1) => BBOX_tri_t_1(1),
      BBOX_tri_t(0) => BBOX_tri_t_0(0),
      DDR_addr(14 downto 0) => DDR_addr(14 downto 0),
      DDR_ba(2 downto 0) => DDR_ba(2 downto 0),
      DDR_cas_n => DDR_cas_n,
      DDR_ck_n => DDR_ck_n,
      DDR_ck_p => DDR_ck_p,
      DDR_cke => DDR_cke,
      DDR_cs_n => DDR_cs_n,
      DDR_dm(3 downto 0) => DDR_dm(3 downto 0),
      DDR_dq(31 downto 0) => DDR_dq(31 downto 0),
      DDR_dqs_n(3 downto 0) => DDR_dqs_n(3 downto 0),
      DDR_dqs_p(3 downto 0) => DDR_dqs_p(3 downto 0),
      DDR_odt => DDR_odt,
      DDR_ras_n => DDR_ras_n,
      DDR_reset_n => DDR_reset_n,
      DDR_we_n => DDR_we_n,
      FIXED_IO_ddr_vrn => FIXED_IO_ddr_vrn,
      FIXED_IO_ddr_vrp => FIXED_IO_ddr_vrp,
      FIXED_IO_mio(53 downto 0) => FIXED_IO_mio(53 downto 0),
      FIXED_IO_ps_clk => FIXED_IO_ps_clk,
      FIXED_IO_ps_porb => FIXED_IO_ps_porb,
      FIXED_IO_ps_srstb => FIXED_IO_ps_srstb,
      USR_tri_i(35) => USR_tri_i_35(35),
      USR_tri_i(34) => USR_tri_i_34(34),
      USR_tri_i(33) => USR_tri_i_33(33),
      USR_tri_i(32) => USR_tri_i_32(32),
      USR_tri_i(31) => USR_tri_i_31(31),
      USR_tri_i(30) => USR_tri_i_30(30),
      USR_tri_i(29) => USR_tri_i_29(29),
      USR_tri_i(28) => USR_tri_i_28(28),
      USR_tri_i(27) => USR_tri_i_27(27),
      USR_tri_i(26) => USR_tri_i_26(26),
      USR_tri_i(25) => USR_tri_i_25(25),
      USR_tri_i(24) => USR_tri_i_24(24),
      USR_tri_i(23) => USR_tri_i_23(23),
      USR_tri_i(22) => USR_tri_i_22(22),
      USR_tri_i(21) => USR_tri_i_21(21),
      USR_tri_i(20) => USR_tri_i_20(20),
      USR_tri_i(19) => USR_tri_i_19(19),
      USR_tri_i(18) => USR_tri_i_18(18),
      USR_tri_i(17) => USR_tri_i_17(17),
      USR_tri_i(16) => USR_tri_i_16(16),
      USR_tri_i(15) => USR_tri_i_15(15),
      USR_tri_i(14) => USR_tri_i_14(14),
      USR_tri_i(13) => USR_tri_i_13(13),
      USR_tri_i(12) => USR_tri_i_12(12),
      USR_tri_i(11) => USR_tri_i_11(11),
      USR_tri_i(10) => USR_tri_i_10(10),
      USR_tri_i(9) => USR_tri_i_9(9),
      USR_tri_i(8) => USR_tri_i_8(8),
      USR_tri_i(7) => USR_tri_i_7(7),
      USR_tri_i(6) => USR_tri_i_6(6),
      USR_tri_i(5) => USR_tri_i_5(5),
      USR_tri_i(4) => USR_tri_i_4(4),
      USR_tri_i(3) => USR_tri_i_3(3),
      USR_tri_i(2) => USR_tri_i_2(2),
      USR_tri_i(1) => USR_tri_i_1(1),
      USR_tri_i(0) => USR_tri_i_0(0),
      USR_tri_o(35) => USR_tri_o_35(35),
      USR_tri_o(34) => USR_tri_o_34(34),
      USR_tri_o(33) => USR_tri_o_33(33),
      USR_tri_o(32) => USR_tri_o_32(32),
      USR_tri_o(31) => USR_tri_o_31(31),
      USR_tri_o(30) => USR_tri_o_30(30),
      USR_tri_o(29) => USR_tri_o_29(29),
      USR_tri_o(28) => USR_tri_o_28(28),
      USR_tri_o(27) => USR_tri_o_27(27),
      USR_tri_o(26) => USR_tri_o_26(26),
      USR_tri_o(25) => USR_tri_o_25(25),
      USR_tri_o(24) => USR_tri_o_24(24),
      USR_tri_o(23) => USR_tri_o_23(23),
      USR_tri_o(22) => USR_tri_o_22(22),
      USR_tri_o(21) => USR_tri_o_21(21),
      USR_tri_o(20) => USR_tri_o_20(20),
      USR_tri_o(19) => USR_tri_o_19(19),
      USR_tri_o(18) => USR_tri_o_18(18),
      USR_tri_o(17) => USR_tri_o_17(17),
      USR_tri_o(16) => USR_tri_o_16(16),
      USR_tri_o(15) => USR_tri_o_15(15),
      USR_tri_o(14) => USR_tri_o_14(14),
      USR_tri_o(13) => USR_tri_o_13(13),
      USR_tri_o(12) => USR_tri_o_12(12),
      USR_tri_o(11) => USR_tri_o_11(11),
      USR_tri_o(10) => USR_tri_o_10(10),
      USR_tri_o(9) => USR_tri_o_9(9),
      USR_tri_o(8) => USR_tri_o_8(8),
      USR_tri_o(7) => USR_tri_o_7(7),
      USR_tri_o(6) => USR_tri_o_6(6),
      USR_tri_o(5) => USR_tri_o_5(5),
      USR_tri_o(4) => USR_tri_o_4(4),
      USR_tri_o(3) => USR_tri_o_3(3),
      USR_tri_o(2) => USR_tri_o_2(2),
      USR_tri_o(1) => USR_tri_o_1(1),
      USR_tri_o(0) => USR_tri_o_0(0),
      USR_tri_t(35) => USR_tri_t_35(35),
      USR_tri_t(34) => USR_tri_t_34(34),
      USR_tri_t(33) => USR_tri_t_33(33),
      USR_tri_t(32) => USR_tri_t_32(32),
      USR_tri_t(31) => USR_tri_t_31(31),
      USR_tri_t(30) => USR_tri_t_30(30),
      USR_tri_t(29) => USR_tri_t_29(29),
      USR_tri_t(28) => USR_tri_t_28(28),
      USR_tri_t(27) => USR_tri_t_27(27),
      USR_tri_t(26) => USR_tri_t_26(26),
      USR_tri_t(25) => USR_tri_t_25(25),
      USR_tri_t(24) => USR_tri_t_24(24),
      USR_tri_t(23) => USR_tri_t_23(23),
      USR_tri_t(22) => USR_tri_t_22(22),
      USR_tri_t(21) => USR_tri_t_21(21),
      USR_tri_t(20) => USR_tri_t_20(20),
      USR_tri_t(19) => USR_tri_t_19(19),
      USR_tri_t(18) => USR_tri_t_18(18),
      USR_tri_t(17) => USR_tri_t_17(17),
      USR_tri_t(16) => USR_tri_t_16(16),
      USR_tri_t(15) => USR_tri_t_15(15),
      USR_tri_t(14) => USR_tri_t_14(14),
      USR_tri_t(13) => USR_tri_t_13(13),
      USR_tri_t(12) => USR_tri_t_12(12),
      USR_tri_t(11) => USR_tri_t_11(11),
      USR_tri_t(10) => USR_tri_t_10(10),
      USR_tri_t(9) => USR_tri_t_9(9),
      USR_tri_t(8) => USR_tri_t_8(8),
      USR_tri_t(7) => USR_tri_t_7(7),
      USR_tri_t(6) => USR_tri_t_6(6),
      USR_tri_t(5) => USR_tri_t_5(5),
      USR_tri_t(4) => USR_tri_t_4(4),
      USR_tri_t(3) => USR_tri_t_3(3),
      USR_tri_t(2) => USR_tri_t_2(2),
      USR_tri_t(1) => USR_tri_t_1(1),
      USR_tri_t(0) => USR_tri_t_0(0),
      flt(15 downto 0) => flt(15 downto 0),
      gpi(15 downto 0) => gpi(15 downto 0),
      gpo(15 downto 0) => gpo(15 downto 0),
      private_in(30 downto 0) => private_in(30 downto 0),
      private_out(35 downto 0) => private_out(35 downto 0),
      pwm(31 downto 0) => pwm(31 downto 0)
    );
end STRUCTURE;
